package others_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type MobilesealSignGetSignresultRequest struct {
	// 【本次签署任务id】本次签署任务id
	SignSid string `json:"signSid"`
	// 【签署动作id】签署动作id
	SignActionId string `json:"signActionId"`
}

func (obj MobilesealSignGetSignresultRequest) GetUrl() string {
	return "/mobileseal/sign/get/signresult"
}

func (obj MobilesealSignGetSignresultRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
